function [pt,varfields,kind]=dde_psol_create(varargin)
%% create psol point with empty stability information
%
% (c) DDE-BIFTOOL v. 3.2a(315), 29/01/2019
%%
default={'kind','psol','parameter',[],'mesh',[],'degree',[],'profile',[],'period',[],'stability',[]};
[pt,dum,userdefined]=dde_set_options(default,varargin,'pass_on','point'); %#ok<ASGLU>
pt.kind='psol';
if ~isempty(pt.profile)
    pt=dde_coll_check(pt);
end
pt=dde_point_overwritefields(pt,userdefined,'stability',[]);
varfields=struct('profile',1,'period',1,'parameter',1);
kind='coll';
end